# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# Copyright (C) 2012 David Planella <david.planella@ubuntu.com>
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

from qreator_lib.helpers import get_media_file
#from qreator_lib import QRCodeType as QRCodeType
from QRCodeSoftwareCenterAppGtk import QRCodeSoftwareCenterAppGtk


class QRCodeSoftwareCenterApp(object):
    def __init__(self, qr_code_update_func, icon_path, description, id):
        self.qr_code_update_func = qr_code_update_func
        self.icon_path = get_media_file(icon_path)
        self.description = description
        self.id = id

        self.data = {'text': ''}
        self.textdata = ''

        # Create widget instance
        self.widget = QRCodeSoftwareCenterAppGtk(self.qr_code_update_func)
